Subject: Re: [PATCH 08/43] memblock/microblaze: Use new accessors

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 10 Sep 2010 18:18:31 +1000

On Thu, 2010-09-09 at 13:54 +0200, Ingo Molnar wrote:
> * Michal Simek <[email-masked]> wrote:
> 
> > Benjamin Herrenschmidt wrote:
> > >On Fri, 2010-08-06 at 10:52 +0200, Michal Simek wrote:
> > >>Benjamin Herrenschmidt wrote:
> > >>>CC: Michal Simek <[email-masked]>
> > >>>Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> > >>This patch remove bug which I reported but there is another
> > >>place which needs to be changed.
> > >>
> > >>I am not sure if my patch is correct but at least point you on
> > >>places which is causing compilation errors.
> > >>
> > >>I tested your memblock branch with this fix and microblaze can boot.
> > >
> > >Ok, that's missing in my initial rename patch. I'll fix it up. Thanks.
> > >
> > >Cheers,
> > >Ben.
> > 
> > I don't know why but this unfixed old patch is in linux-next today.
> 
> Yep, i asked benh to have a look (see the mail below) but got no 
> response, as i assumed it had all been taken care of.

Sorry, I must have been confused... I had pushed out a git branch a
while back with those updates and the ARM bits, at least I think I
did :-) I might have FAILed there. I'll check next week, I'm about to
board on a plane right now.

Cheers,
Ben.

> Ben, Peter?
> 
> 	Ingo
> 
> ----- Forwarded message from Ingo Molnar <[email-masked]> -----
> 
> Date: Tue, 31 Aug 2010 09:29:47 +0200
> From: Ingo Molnar <[email-masked]>
> To: Benjamin Herrenschmidt <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked]
> Subject: Re: [tip:core/memblock] memblock: Rename memblock_region to
> 	memblock_type and memblock_property to memblock_region
> 
> 
> * Benjamin Herrenschmidt <[email-masked]> wrote:
> 
> > On Sat, 2010-08-28 at 00:37 +0000, tip-bot for Benjamin Herrenschmidt
> > wrote:
> > > Commit-ID:  e3239ff92a17976ac5d26fa0fe40ef3a9daf2523
> > > Gitweb:     http://git.kernel.org/tip/e3239ff92a17976ac5d26fa0fe40ef3a9daf2523
> > > Author:     Benjamin Herrenschmidt <[email-masked]>
> > > AuthorDate: Wed, 4 Aug 2010 14:06:41 +1000
> > > Committer:  Benjamin Herrenschmidt <[email-masked]>
> > > CommitDate: Wed, 4 Aug 2010 14:21:49 +1000
> > > 
> > > memblock: Rename memblock_region to memblock_type and memblock_property to memblock_region
> > 
> > He, I was just about to rebase them :-)
> > 
> > Do you still need me to do that ?
> 
> Btw., because this is an older base, before we can push this to 
> linux-next i suspect we'll need fixes for those architectures that did a 
> memblock conversion in this cycle?
> 
> Thanks,
> 
> 	Ingo
> 	
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>